#include "DefaultEmptySceneWidget.h"


/**
 * Default constructor.
 *
 */
DefaultEmptySceneWidget::DefaultEmptySceneWidget(SceneInterface *plugin, QWidget* pParent, Qt::WFlags flag): SceneWidget(plugin, pParent, flag), m_content(plugin)
{
    setupUi (this);
}


/**
 * Destructor.
 *
 */
DefaultEmptySceneWidget::~DefaultEmptySceneWidget()
{
}


/**
 * Updates the widget.
 *
 * This method can be used it two ways: to force a refresh or to update the
 * data of the widget.
 *
 * @param content A const pointer on the contents to be used for the widget.
 *                This contents will be duplicated in the widget. If content
 *                is NULL, the current content are used and the refresh is
 *                forced. If no content are given, NULL is used.
 *
 */
void DefaultEmptySceneWidget::updateGUI(const SceneContent* _content)
{
    Q_UNUSED(_content);
}
